Warning: Constant DEBUG already defined in /home/grovehos/tools.grovehost.com.br/config.php on line 20 Warning: session_set_cookie_params(): Session cookie parameters cannot be changed after headers have already been sent in /home/grovehos/tools.grovehost.com.br/app/init.php on line 41 Warning: Cannot modify header information - headers already sent by (output started at /home/grovehos/tools.grovehost.com.br/config.php:20) in /home/grovehos/tools.grovehost.com.br/app/core/App.php on line 72 Warning: Cannot modify header information - headers already sent by (output started at /home/grovehos/tools.grovehost.com.br/config.php:20) in /home/grovehos/tools.grovehost.com.br/app/core/App.php on line 76 Warning: Cannot modify header information - headers already sent by (output started at /home/grovehos/tools.grovehost.com.br/config.php:20) in /home/grovehos/tools.grovehost.com.br/app/core/App.php on line 81 Warning: Undefined property: stdClass::$default_avatar in /home/grovehos/tools.grovehost.com.br/app/core/App.php on line 122 Warning: session_start(): Session cannot be started after headers have already been sent in /home/grovehos/tools.grovehost.com.br/app/helpers/sessions.php on line 36 Warning: Undefined property: stdClass::$auto_currency_detection in /home/grovehos/tools.grovehost.com.br/app/core/App.php on line 125 Usuário - Documentação da API - Grove Tools

Usuário

GET https://tools.grovehost.com.br/api/user
curl --request GET \
--url 'https://tools.grovehost.com.br/api/user' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "name": "Example",
        "email": "example@example.com",
        "language": "english",
        "timezone": "Europe/Bucharest",
        "anti_phishing_code": true,
        "is_newsletter_subscribed": false,
        "billing": {
            "type": "personal",
            "name": "",
            "address": "",
            "city": "",
            "state": "",
            "county": "",
            "zip": "3000",
            "country": "US",
            "phone": "+123 123 123",
            "tax_id": "",
            "notes": ""
        },
        "status": true,
        "plan_id": "custom",
        "plan_expiration_date": "2027-07-08 07:05:53",
        "plan_settings": {},
        "plan_trial_done": true,
        "payment_processor": "revolut",
        "payment_total_amount": 300,
        "payment_currency": "USD",
        "payment_subscription_id": null,
        "source": "direct",
        "ip": "123.123.123.123",
        "continent_code": "NA",
        "country": "US",
        "city_name": "New York",
        "os_name": "OS X",
        "browser_name": "Chrome",
        "browser_language": "en",
        "device_type": "desktop",
        "api_key": "123456789",
        "referral_key": "altum",
        "referred_by": null,
        "last_activity": "2026-07-08 07:05:53",
        "total_logins": 100,
        "datetime": "2025-07-08 07:05:53",
        "next_cleanup_datetime": "2026-08-08 07:05:53"
    }
}